Redmine - Defect #32860

Invalid links to versions with sharing in project tree
2020-01-24 16:41 - Alexander Meindl

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Go MAEDA % Done: 0%
Category: Roadmap Estimated time: 0.00 hour
Target version: 4.2.0

Resolution: Fixed Affected version: 4.1.0
Description

If a version uses sharing in project tree, there are invalid links in the roadmap overview.

The problem occurs, if the version is in a sub-directory and in the project root. Than there are missing permissions to issues (e.qg. if
issue module is disabled or current user has no rights to see issues in root project).

The attached patch fixes this problem. The patch is for trunk, but the problem is also available in 4.0.x and 4.1.x.

Associated revisions

Revision 20149 - 2020-10-18 04:28 - Go MAEDA

Invalid links to versions with sharing in project tree (#32860).

Patch by Alexander Meindl.

History

#1 - 2020-01-25 08:55 - Marius BALTEANU

Thanks for the patch. Can you add a test case for this scenario?

#2 - 2020-01-25 09:39 - Alexander Meindl

- File new _test_and_fix.patch added

Here is a test for this patch. This patch also correct link to shared version with hierarchy. Without this patch, version link uses the root project for
hierarchy versions - which is not correct imho. Versions with hierarchy should use link to current project.

| hope this test is sufficient. Let me know, if more information is required.
#3 - 2020-06-25 16:36 - Go MAEDA

- File 32860-confirmed.png added

- Status changed from New to Confirmed

Confirmed the issue.

In the screenshot below, the link "1 issue" and "1 open" point to it parent project (ecookbook"). If "Issue tracking" module is disabled in "ecookbook"
project, 403 error page is displayed when you click either of the two links.
#4 - 2020-07-04 03:31 - Go MAEDA
- File 32860-v2.patch added

- Target version set to Candidate for next major release

Combined fix_link_to_version. h and attach:new_test_and_fix.patch, and update it for the current trunk (r19851).

#5 - 2020-09-26 09:37 - Go MAEDA

- Target version changed from Candidate for next major release to 4.2.0
Setting the target version to 4.2.0.

#6 - 2020-10-18 04:28 - Go MAEDA
- Status changed from Confirmed to Closed
- Assignee set to Go MAEDA

- Resolution set to Fixed

Committed the fix. Thank you.

Files

fix_link_to_version.patch 721 Bytes 2020-01-24 Alexander Meindl
new_test_and_fix.patch 1.78 KB 2020-01-25 Alexander Meindl
32860-confirmed.png 182 KB 2020-06-25 Go MAEDA
32860-v2.patch 2.11 KB 2020-07-04 Go MAEDA

2025-07-06 22


https://www.redmine.org/attachments/24661
https://www.redmine.org/projects/redmine/repository/svn/revisions/19851
http://www.tcpdf.org

